GroupMetricsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.monitor.visibility.GroupMetricsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.monitor.visibility
Class GroupMetricsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.ResourceMetricsFormPrepareAction
                          org.hyperic.hq.ui.action.resource.group.monitor.visibility.GroupMetricsFormPrepareAction

    public class GroupMetricsFormPrepareAction

extends ResourceMetricsFormPrepareAction

This is for the "Group Metrics" page Everything about ResourceMetricsFormPrepareAction is fine for groups, except with groups we override getShowNumberCollecting()

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`GroupMetricsFormPrepareAction()`

Method Summary
`protected java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, long filters, java.lang.String keyword, AppdefEntityID entityId, java.lang.Long begin, java.lang.Long end, boolean showAll)`
`protected java.lang.Boolean` | `getShowNumberCollecting()` Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.ResourceMetricsFormPrepareAction
`getMetrics, getShowBaseline`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
`execute, execute, getMetrics, getShowMetricSource`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
`prepareForm, prepareForm`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### GroupMetricsFormPrepareAction

    public GroupMetricsFormPrepareAction()

Method Detail

### getShowNumberCollecting

    protected java.lang.Boolean getShowNumberCollecting()

  Description copied from class: `MetricsDisplayFormPrepareAction`
  Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

  Overrides:
    `getShowNumberCollecting` in class `MetricsDisplayFormPrepareAction`

### getMetrics

    protected java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                       long filters,
                                       java.lang.String keyword,
                                       AppdefEntityID entityId,
                                       java.lang.Long begin,
                                       java.lang.Long end,
                                       boolean showAll)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.